<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="Bibliotecas/Style.css"> <!--CSS propio-->
    <link rel="stylesheet" href="Bibliotecas/flexboxgrid.min.css"> <!-- Flexbox -->
    <link rel="stylesheet" href="Bibliotecas/bootstrap.min.css"> <!-- Bootstrap -->
    <title>Document</title>
</head>
<body>

    <div class="text-center">
        <button class="btn btn-info btn-sx" type="button" onclick="TirarDado()">
          D20 :3
          Probando los commit!
        </button>
        <br>
          <h3 id="demo"></h3>
      </div>


    <span>Valor #1</span>
    <input type="number" id="txt_campo_1" onchange="sumar(this.value);" />
    <br >
    <span>Valor #2</span>
    <input type="number" id="txt_campo_2" onchange="sumar(this.value);" />
    <br >
    <span>Valor #3</span>
    <input type="number" id="txt_campo_3" onchange="sumar(this.value);" />
    <br>
    <span>El resultado es: </span> <span id="spTotal"></span>
    <video class="tWeCl" playsinline="" poster="https://instagram.fscl14-1.fna.fbcdn.net/v/t51.2885-15/e35/121373853_191343769060046_275472231690071374_n.jpg?_nc_ht=instagram.fscl14-1.fna.fbcdn.net&amp;_nc_cat=1&amp;_nc_ohc=c-l0ruEJtCUAX9XhPRo&amp;_nc_tp=18&amp;oh=00e56931351543b81ba5b6de0571477a&amp;oe=5F862568" preload="none" type="video/mp4" src="https://instagram.fscl14-1.fna.fbcdn.net/v/t50.2886-16/121235099_239223317798533_5355746145573884345_n.mp4?_nc_ht=instagram.fscl14-1.fna.fbcdn.net&amp;_nc_cat=101&amp;_nc_ohc=dslOUureb7gAX9Y95uo&amp;oe=5F85F9B6&amp;oh=60c5f83f5073999864f7bc954a1392fa" loop=""></video>


    <script>
        //Designo variables
        
        

        //Script número aleatorio
              
        function TirarDado(){
            var x = Math.floor((Math.random()*20)+1);
            document.getElementById("demo").innerHTML = x ;
          
        }
        
        function sumar(valor){
                  var total = 0;
             
                  valor = parseInt(valor); // Convertir el valor a un entero (número).
                
                  total = document.getElementById('spTotal').innerHTML;
                
                  // Aquí valido si hay un valor previo, si no hay datos, le pongo un cero "0".
                  total = (total == null || total == undefined || total == "") ? 0 : total;
                
                  /* Esta es la suma. */
                  total = (parseInt(total) + parseInt(valor));
                
                  // Colocar el resultado de la suma en el control "span".
                  document.getElementById('spTotal').innerHTML = total;
        
              }
        
        </script>
</body>
</html>